<div class="container-fluid hd-panel text-center">
    <div class="row">
        <!-- If there is another question to answer -->
        <div class="col-xs-12" *ngIf="_getNextQuestionText()" id='needsQuestionsAnswered'>
            <!-- "Your Next Happiness Question" Heading -->
            <h1>Your Next HappyMatch Question:</h1>

            <!-- Next question's text -->
            <p class='answer-text' id='answerText'>{{ _getNextQuestionText() }}</p>

            <!-- Answer button -->
            <button class="btn btn-hd-orange" (click)="_onClickAnswer()" id='answerButton'>ANSWER</button>
        </div>

        <!-- If there are no more questions to answer -->
        <div class="col-xs-12" *ngIf="!_getNextQuestionText()" id='allQuestionsAnswered'>
            <!-- You Have Answered All Questions heading -->
            <h1>Your Answered Your</h1>

            <!-- Completion checkmark -->
            <div class="success-icon">
                <span class="fa fa-check-circle-o"></span>
            </div>

            <h1>HappyMatch Questions</h1>
        </div>
    </div>
</div>
